KotlinDslScriptsModel (Gradle API 8.11.1)

Package org.gradle.tooling.model.kotlin.dsl

## Interface KotlinDslScriptsModel

-     public interface KotlinDslScriptsModel

  Editor model for a set of Kotlin DSL scripts.

  Can only be requested on the root project, the builder will throw otherwise.

  Requires the `prepareKotlinBuildScriptModel` task to be executed before building the model. See `KotlinDslModelsParameters.PREPARATION_TASK_NAME`

  The set of scripts can be provided as a Gradle property named `org.gradle.kotlin.dsl.provider.scripts`, as a list of absolute paths separated by `|`. If none are provided, then the model is built for all the Kotlin DSL scripts known to belong to this build. See `SCRIPTS_GRADLE_PROPERTY_NAME`.

  The Gradle Kotlin DSL script provider must be running in "classpath" mode. This is done by providing the system property `-Dorg.gradle.kotlin.dsl.provider.mode=classpath`. See `KotlinDslModelsParameters.CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION`. In this mode, Gradle Kotlin DSL scripts compilation or evaluation failures will be ignored, collected and exceptions will be returned in the built model. Optionally, it can also be set in a strict mode by providing the system property value `-Dorg.gradle.kotlin.dsl.provider.mode=strict-classpath`. See `KotlinDslModelsParameters.STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION`.

  Optionally, an identifier can be provided as a Gradle property named `org.gradle.kotlin.dsl.provider.cid`, it can then be used to correlate Gradle and TAPI client log statements. See `KotlinDslModelsParameters.CORRELATION_ID_GRADLE_PROPERTY_NAME`.

  Since:
    6.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SCRIPTS_GRADLE_PROPERTY_NAME` | Gradle property name for the set of scripts to be queried for.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.io.File,​KotlinDslScriptModel>` | `getScriptModels()` | Script models by file.

- - ### Field Detail

    - #### SCRIPTS_GRADLE_PROPERTY_NAME

          static final java.lang.String SCRIPTS_GRADLE_PROPERTY_NAME

      Gradle property name for the set of scripts to be queried for.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getScriptModels

          java.util.Map<java.io.File,​KotlinDslScriptModel> getScriptModels()

      Script models by file.